Name:           vinci
Version:        1.0.5
Release:        3%{?dist}
Summary:        Algorithms for volume computation

License:        GPL+
URL:            http://www.math.u-bordeaux1.fr/~enge/index.php?category=software&page=vinci
Source0:        http://www.math.u-bordeaux1.fr/~enge/software/%{name}/%{name}-%{version}.tar.gz
# Man page written by Jerry James using text found in the sources.  Therefore,
# the man page has the same copyright and license as the sources.
Source1:        %{name}.1

BuildRequires:  tex(latex)
Requires:       lrslib-utils

%description
The volume is one of the central properties of a convex body, and volume
computation is involved in many hard problems.  Applications range from
rather classical ones as in convex optimization to problems in remote
fields like algebraic geometry where the number of common roots of
polynomials can be related to a special polytope volume.

Part of the fascination of the subject stems from the discrepancy
between the intuitive notion of "volume" and the actual hardness of
computing it.  Despite this discouraging complexity - algorithms in
general need exponential time in the input dimension - steadily growing
computer power enables us to attack problems of practical interest.

Vinci is an easy to install C package that implements the state of the
art algorithms for volume computation.  It is the fruit of a research
project carried out at the IFOR (Institute for Operations Research) at
ETH Zürich, in collaboration with Benno Büeler and Komei Fukuda.

%prep
%setup -q

%build
make %{?_smp_mflags} OPT="$RPM_OPT_FLAGS"
pdflatex manual.tex
pdflatex manual.tex

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
sed -e "s/@VERSION@/%{version}/" %{SOURCE1} > \
  $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
touch -r %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog COPYING manual.pdf
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Jerry James <loganjerry@gmail.com> - 1.0.5-2
- Fix permissions on the binary

* Tue Feb 14 2012 Jerry James <loganjerry@gmail.com> - 1.0.5-1
- Initial RPM
